0

I was about to install Magento 1.9 but realised Magento 2 is now available. If I stick to installing Magento 1.x will patches still be available or will everyone be forced to move to Magento 2?

I haven't used Magento before but over the months got familiar with Magento 1.x interface and theme.

3

no one will ever be forced to use Magento 2, in fact even if this version was released, it is not ready for production use. there are lots of bugs and errors. lack of properly working extensions and lots of unknown security vulnerabilities. (unknown for us, but hackers already know)

if you are going to use it just for development and testing - go ahead and install Magento 2. but if you are going to setup your first shop and probably you already have some offline business running, i would highly suggest to install Magento 1.9.2.2

then safely run your online business on Magento 1 for at least for the next 3-5 years, until Magento 2 get rid of the heaps of errors and our community acquires a good knowledges and get lots of properly working extensions.

note: you will be able to migrate your data from M1 to => M2

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.